cURL
curl --request POST \ --url https://api.example.com/api/v2/datasources/across-workspaces/anomalies \ --header 'Content-Type: application/json' \ --data ' { "workspaceIds": [ "<string>" ], "timeFilterSelection": { "type": "ThreeHours", "customStartUtc": "2023-11-07T05:31:56Z", "customEndUtc": "2023-11-07T05:31:56Z" } } '
{ "data": { "items": [ { "workspaceName": "<string>", "dataConnector": { "id": "<string>", "name": "<string>", "description": "<string>", "icon": "<string>", "link": "<string>", "category": "<string>", "provider": "<string>", "isConnected": true, "isWaitingActivation": true, "directApiConnectionAvailable": true, "metadata": "<string>", "isConfigurable": true, "plan": "<string>", "isSupported": true, "isPrivate": true, "isSubscribedToDeployments": true, "deployedVersionDto": { "dataConnectorId": "<string>", "version": "<string>", "creationDate": "2023-11-07T05:31:56Z" }, "cfCurrentVersionDto": { "dataConnectorId": "<string>", "version": "<string>", "creationDate": "2023-11-07T05:31:56Z" }, "status": "RulesDeployed", "modificationDate": "2023-11-07T05:31:56Z" }, "status": "Active" } ] }, "meta": { "requestId": "<string>", "timestamp": "<string>" } }
Documentation IndexFetch the complete documentation index at: https://docs.contraforce.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.contraforce.com/llms.txt
Use this file to discover all available pages before exploring further.
Canonical representation of a global time filter. When Type == Custom, CustomStartUtc and CustomEndUtc must be provided (UTC).
Show child attributes
OK
Standard v2 API response envelope for single-item responses.